%global dlrn_nvr 11.0.1-0.20210812230503.63fee2c
%global dlrn 1
%define upstream_version 11.0.1-rc0
%global milestone .0rc0
%{!?upstream_version: %global upstream_version %{commit}}
%define upstream_name puppet-rabbitmq
%global commit 63fee2c701e78f61d0612738d849176ad862729c
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git

Name:           puppet-rabbitmq
Version: 11.0.1
Release: 0.20210812230503.63fee2c%{?dist}
Summary:        Installs, configures, and manages RabbitMQ.
License:        ASL 2.0

URL:            https://github.com/voxpupuli/puppet-rabbitmq

Source0: 11.0.1-0.20210812230503.63fee2c.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=63fee2c701e78f61d0612738d849176ad862729c

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-archive
Requires:       puppet >= 2.7.0

%description
Installs, configures, and manages RabbitMQ.

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/rabbitmq/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/rabbitmq/



%files
%{_datadir}/openstack-puppet/modules/rabbitmq/


%changelog
* Thu Aug 12 2021 OSP Prod Chain <dev-null@redhat.com> 11.0.1-0.20210812230503.63fee2c
- Update patches
- CLI Environment Fixes (#876)
- make sure the rabbitmq_version method actually returns the version.
- Use mocked facts in tests
- [blacksmith] Bump version to 11.0.1-rc0
- Release 11.0.0
- Add optional variables to support SSL CRL check configuration (#869)
- Remove support for CentOS 6

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Dec 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [blacksmith] Bump version to 10.3.1-rc0

* Tue Dec 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Release 10.3.0
- modulesync 4.0.0
- Ensure :autoconvert is initialized before :value for rabbitmq_parameter
- Add new parameter autoconvert for rabbitmq_parameter

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- modulesync 3.1.0
- [blacksmith] Bump version to 10.2.1-rc0
- release 10.2.0 (#863)
- modulesync 3.0.0
- Add unit test for the multiple ldap_server parameter
- Allow the ldap_servers parameter to accept an array of strings, as well as just a single string, for multiple LDAP hosts.
- [blacksmith] Bump version to 10.1.3-rc0
- [chore] release 10.1.2
- remove invalid cluster_node_type 'disk'

* Sun Aug 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ignore SELinux labels for systemd::service_limits

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [style] puppet-lint and rubocop updates
- modulesync 3.0.0

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [blacksmith] Bump version to 10.1.2-rc0

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [chore] release 10.1.1

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Escape double quotes in password during comparison

* Sun Jul 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove facter rabbitmq_nodename error message

* Fri Jul 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [blacksmith] Bump version to 10.1.1-rc0
- [chore] release 10.1.0

* Thu Jul 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow delivery-limit policy to be set

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- modulesync 2.12.0-20-g804b440

* Tue Jun 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't use RABBITMQ_SERVER_ERL_ARGS
- Hide user password
- Hide erlang cookie content

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [fix] ownership and permissions on conf files

* Sat Apr 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [blacksmith] Bump version to 10.0.2-rc0
- [chore] release 10.0.1

* Sat Apr 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix issue #832 - removing federation upstream

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use voxpupuli-acceptance

* Sun Apr 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "rubocop: autofix"
- modulesync 2.12.0

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #828 from olivermussell/master
- Fix env_config_path on FreeBSD

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #825 from dhoppe/modulesync
- modulesync 2.10.1

* Tue Dec 31 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #823 from bastelfreak/travis
- delete legacy travis directory

* Tue Dec 31 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #824 from voxpupuli/modulesync
- rubocop: autofix
- modulesync 2.10.0

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #821 from voxpupuli/modulesync
- modulesync 2.9.0

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [blacksmith] Bump version to 10.0.1-rc0
- Merge pull request #820 from wyardley/wyardley-10_0_0
- Update from voxpupuli modulesync_config
- Release 10.0.0

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #785 from epigenesys/updated-ssl-cipher-support
- Update the `ssl_ciphers` parameter to support the OpenSSL style Currently, this module only supports the old Erlang style, but RabbitMQ post-3.7.9 (rabbitmq/rabbitmq-server#1712) supports the OpenSSL style. This change allows the rabbitmq.config file to determine which style is being used, and apply that when defining SSL cipher suites

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #818 from bastelfreak/ubuntu
- drop Ubuntu 14.04 support

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #815 from ekohl/spec-helper-acceptance
- Clean up acceptance spec helper

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge pull request #814 from octoenergy/fix-version-regex
- Extend version regex to work for RabbitMQ 3.8.0



